package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Constant;
import org.apache.bcel.classfile.ConstantObject;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Visitor;

public final class ConstantFloat extends Constant implements ConstantObject {
  private float bytes;
  
  public ConstantFloat(org.apache.bcel.classfile.ConstantFloat c) {
    this(c.getBytes());
  }
  
  ConstantFloat(DataInput file) throws IOException {
    this(file.readFloat());
  }
  
  public ConstantFloat(float bytes) {
    super((byte)4);
    this.bytes = bytes;
  }
  
  public void accept(Visitor v) {
    v.visitConstantFloat(this);
  }
  
  public void dump(DataOutputStream file) throws IOException {
    file.writeByte(getTag());
    file.writeFloat(this.bytes);
  }
  
  public float getBytes() {
    return this.bytes;
  }
  
  public Object getConstantValue(ConstantPool cp) {
    return Float.valueOf(this.bytes);
  }
  
  public void setBytes(float bytes) {
    this.bytes = bytes;
  }
  
  public String toString() {
    return super.toString() + "(bytes = " + this.bytes + ")";
  }
}
